Subject: [media-types] application/swid+cbor media type registration request

From: "Waltermire, David A. (Fed)" <[email-masked]>
Date: Fri, 8 Oct 2021 14:15:02 +0000

This request is for the registration of the "application/swid+cbor" media type  defined in sections 6.3 of https://datatracker.ietf.org/doc/draft-ietf-sacm-coswid/18/.

The registration template text from internet-draft is as follows:

Type name: application

Subtype name: swid+cbor

Required parameters: none

Optional parameters: none

Encoding considerations: Must be encoded as using [RFC8949<https://sacmwg.github.io/draft-ietf-sacm-coswid/draft-ietf-sacm-coswid.html#RFC8949>]. See RFC-AAAA for details.

Security considerations: See Section 9<https://sacmwg.github.io/draft-ietf-sacm-coswid/draft-ietf-sacm-coswid.html#sec-sec> of RFC-AAAA.

Interoperability considerations: Applications MAY ignore any key value pairs that they do not understand. This allows backwards compatible extensions to this specification.

Published specification: RFC-AAAA

Applications that use this media type: The type is used by software asset management systems, vulnerability assessment systems, and in applications that use remote integrity verification.

Fragment identifier considerations: Fragment identification for application/swid+cbor is supported by using fragment identifiers as specified by Section 9.5<https://rfc-editor.org/rfc/rfc8949#section-9.5> of [RFC8949<https://sacmwg.github.io/draft-ietf-sacm-coswid/draft-ietf-sacm-coswid.html#RFC8949>].

Additional information:

Magic number(s): first five bytes in hex: da 53 57 49 44

File extension(s): coswid

Macintosh file type code(s): none

Macintosh Universal Type Identifier code: org.ietf.coswid conforms to public.data

Person & email address to contact for further information: Henk Birkholz [email-masked]<mailto:[email-masked]>

Intended usage: COMMON

Restrictions on usage: None

Author: Henk Birkholz [email-masked]<mailto:[email-masked]>

Change controller: IESG

Please let us know if there are any questions or concerns.

Regards,
Dave Waltermire